org.apache.lucene.analysis

## Class TeeSinkTokenFilter.SinkFilter

- java.lang.Object
- - org.apache.lucene.analysis.TeeSinkTokenFilter.SinkFilter

- Direct Known Subclasses:
    DateRecognizerSinkFilter, TokenRangeSinkFilter, TokenTypeSinkFilter
  Enclosing class:
    TeeSinkTokenFilter

      public abstract static class TeeSinkTokenFilter.SinkFilter
      extends java.lang.Object

  A filter that decides which `AttributeSource` states to store in the sink.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SinkFilter()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract boolean` | `accept(AttributeSource source)` Returns true, iff the current state of the passed-in `AttributeSource` shall be stored in the sink.
    `void` | `reset()` Called by `TeeSinkTokenFilter.SinkTokenStream.reset()`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SinkFilter

          public SinkFilter()

  - ### Method Detail

    - #### accept

          public abstract boolean accept(AttributeSource source)

      Returns true, iff the current state of the passed-in `AttributeSource` shall be stored in the sink.

    - #### reset

          public void reset()
                     throws java.io.IOException

      Called by `TeeSinkTokenFilter.SinkTokenStream.reset()`. This method does nothing by default and can optionally be overridden.
      Throws:
        `java.io.IOException`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.